using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts;

public interface IReservationLogic
{
    List<ReservationViewModel>? ReadList(ReservationSearchModel? model);
    ReservationViewModel? ReadElement(ReservationSearchModel model);
    bool Create(ReservationBindingModel model);
    bool Update(ReservationBindingModel model);
    bool Delete(ReservationBindingModel model);
}